//
// Cookie management.
// Getting the experimental fields requires logging into del.icio.us with cookies on.
//
var cookies =
{
    enableCookieManagementKey: 'delicious.enableCookieManagement',
    cookieBehavior: -1,

    /**
     * Turn cookies on, save original setting for later.
     * Return true if cookie management was allowed, false otherwise.
     */
    turnCookiesOn: function() {
        if (nsPreferences.getBoolPref(cookies.enableCookieManagementKey, true) == true) {
            if (this.cookieBehavior == -1) {
                this.cookieBehavior = nsPreferences.getIntPref("network.cookie.cookieBehavior", 2);
            }
            nsPreferences.setIntPref("network.cookie.cookieBehavior", 0);
            return true;
        }
        return false;
    },

    /**
     * Restore cookies to original setting.
     */
    restoreCookieState: function() {
        if (this.cookieBehavior != -1) {
            nsPreferences.setIntPref("network.cookie.cookieBehavior", this.cookieBehavior);
        }
    }
}
